<?php
$this->breadcrumbs=array(
	'Notifications'=>array('index'),
	'Manage',
);

?>

<h1><?php echo(t('Manage Notifications')); ?></h1>

<?php
 
 $this->widget('bootstrap.widgets.TbGridView',array(
	'id'=>'notification-grid',
	'dataProvider'=>$model->searchForGrid(),
  'template'=>'{items}{summary}{pager}',
	'filter'=>$model,
	'columns'=>array(
    array('name'=>'status','type'=>'raw','value'=>'SystemInfoHelper::getNotificationStatus($data)'),
    array('name'=>'setting_id','type'=>'raw','value'=>'SystemInfoHelper::getNotificationSettingLink($data->setting)'),
	  array('name'=>'object_id','type'=>'raw','value'=>'SystemInfoHelper::getNotificationObjectLink($data)','filter'=>false),
	  array('name'=>'read','filter'=>false),
		array('name'=>'epoch','filter'=>false),
		array(
    			'class'=>'bootstrap.widgets.TbButtonColumn',
    			'buttons'=>array
          (
            'view' => array
            (
                'label'=>t('View'),                
                'visible'=>'user()->checkAccess("notification")',
            ),
            'update' => array
            (
                'label'=>t('Update'),                
                'visible'=>'user()->checkAccess("notification_update")',
            ),
            'delete' => array
            (
                'label'=>t('Delete'),                
                'visible'=>'user()->checkAccess("notification_delete")',
            ),
          ),
      	),
	),
)); ?>
